# Uses of Enum Class
org.springframework.aot.hint.MemberCategory

Packages that use MemberCategory
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.
org.springframework.aot.hint.annotation
Annotation support for runtime hints.
org.springframework.aot.hint.predicate
Predicate support for runtime hints.

## Uses of MemberCategory in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return MemberCategory
Modifier and Type
Method
Description
`static MemberCategory`
MemberCategory.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MemberCategory[]`
MemberCategory.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.aot.hint that return types with arguments of type MemberCategory
Modifier and Type
Method
Description
`Set<MemberCategory>`
TypeHint.`getMemberCategories()`
Return the member categories that apply.
Methods in org.springframework.aot.hint with parameters of type MemberCategory
Modifier and Type
Method
Description
`static Consumer<TypeHint.Builder>`
TypeHint.`builtWith(MemberCategory... memberCategories)`
Return a `Consumer` that applies the given `MemberCategories` to the accepted `TypeHint.Builder`.
`ReflectionHints`
ReflectionHints.`registerType(Class<?> type, MemberCategory... memberCategories)`
Register or customize reflection hints for the specified type using the specified `MemberCategories`.
`ReflectionHints`
ReflectionHints.`registerType(TypeReference type, MemberCategory... memberCategories)`
Register or customize reflection hints for the specified type using the specified `MemberCategories`.
`ReflectionHints`
ReflectionHints.`registerTypeIfPresent(ClassLoader classLoader, String typeName, MemberCategory... memberCategories)`
Register or customize reflection hints for the specified type if it is available using the specified `ClassLoader`.
`TypeHint.Builder`
TypeHint.Builder.`withMembers(MemberCategory... memberCategories)`
Adds the specified member categories.

## Uses of MemberCategory in org.springframework.aot.hint.annotation

Methods in org.springframework.aot.hint.annotation that return MemberCategory
Modifier and Type
Method
Description
`MemberCategory[]`
RegisterReflectionReflectiveProcessor.ReflectionRegistration.`memberCategories()`
Returns the value of the `memberCategories` record component.
Methods in org.springframework.aot.hint.annotation with parameters of type MemberCategory
Modifier and Type
Method
Description
`protected void`
RegisterReflectionReflectiveProcessor.`registerReflectionHints(ReflectionHints hints, Class<?> target, MemberCategory[] memberCategories)`
Constructors in org.springframework.aot.hint.annotation with parameters of type MemberCategory
Modifier
Constructor
Description
`protected`
`ReflectionRegistration(Class<?>[] classes, MemberCategory[] memberCategories)`
Creates an instance of a `ReflectionRegistration` record class.

## Uses of MemberCategory in org.springframework.aot.hint.predicate

Methods in org.springframework.aot.hint.predicate with parameters of type MemberCategory
Modifier and Type
Method
Description
`Predicate<RuntimeHints>`
ReflectionHintsPredicates.TypeHintPredicate.`withAnyMemberCategory(MemberCategory... memberCategories)`
Refine the current predicate to match if any of the given `categories` is present.
`Predicate<RuntimeHints>`
ReflectionHintsPredicates.TypeHintPredicate.`withMemberCategories(MemberCategory... memberCategories)`
Refine the current predicate to only match if the given `categories` are present.
`Predicate<RuntimeHints>`
ReflectionHintsPredicates.TypeHintPredicate.`withMemberCategory(MemberCategory memberCategory)`
Refine the current predicate to only match if the given `MemberCategory` is present.